<appendix id="configuration-options">
<title>Configuration Options Reference</title>
<para>Reference of options available in ELinks version 0.5pre0.CVS.</para>
<variablelist><varlistentry>
<term><option>secure_file_saving</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>First write data to 'file.tmp', then rename to 'file' upon
successfully finishing this. Note that this relates only to
config files, not downloaded files. You may want to disable
it, if you want some config file with some exotic permissions.
Secure file saving is automagically disabled if file is symlink.
</para>

</listitem></varlistentry></variablelist>
<sect1 id="bookmarks"><title>Bookmarks (<type>bookmarks</type>)</title>
<para>
Bookmark options.
</para>
<variablelist><varlistentry>
<term><option>bookmarks.file_format</option> <type>&lt;num&gt;</type> (default: <varname>0</varname>)</term>
<listitem>
<para>File format for bookmarks (affects both reading and saving):
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>is the default ELinks (Links 0.9x compatible) format
</member>
<member>is XBEL universal XML bookmarks format (NO NATIONAL CHARS SUPPORT!) (DISABLED)
</member>
</simplelist>
</listitem></varlistentry></variablelist>
</sect1>
<sect1 id="config"><title>Configuration system (<type>config</type>)</title>
<para>
Configuration handling options.
</para>
<variablelist><varlistentry>
<term><option>config.comments</option> <type>&lt;num&gt;</type> (default: <varname>3</varname>)</term>
<listitem>
<para>Amount of comments automatically written to the config file:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>3</member>
<member>is no comments are written
</member>
<member>is only the "blurb" (name+type) is written
</member>
<member>is only the description is written
</member>
<member>is full comments are written
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>config.indentation</option> <type>&lt;num&gt;</type> (default: <varname>2</varname>)</term>
<listitem>
<para>Shift width of one indentation level in the configuration
file. Zero means that no indentation is performed at all
when saving the configuration.
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>config.saving_style</option> <type>&lt;num&gt;</type> (default: <varname>3</varname>)</term>
<listitem>
<para>Determines what happens when you tell ELinks to save options:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member></member>
<member>2</member>
<member>3</member>
<member></member>
<member></member>
<member>is only values of current options are altered
</member>
<member>is values of current options are altered and missing options
</member>
<member>are added at the end of the file
</member>
<member>is the configuration file is rewritten from scratch
</member>
<member>is values of current options are altered and missing options
</member>
<member>CHANGED during this ELinks session are added at the end of
</member>
<member>the file
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>config.saving_style_w</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>This is internal option used when displaying a warning about
obsolete config.saving_style. You shouldn't touch it.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>config.show_template</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Show _template_ options in autocreated trees in the options
manager and save them to the configuration file.
</para>

</listitem></varlistentry></variablelist>
</sect1>
<sect1 id="connection"><title>Connections (<type>connection</type>)</title>
<para>
Connection options.
</para>
<variablelist><varlistentry>
<term><option>connection.async_dns</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Use asynchronous DNS resolver?
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>connection.max_connections</option> <type>&lt;num&gt;</type> (default: <varname>10</varname>)</term>
<listitem>
<para>Maximum number of concurrent connections.
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>connection.max_connections_to_host</option> <type>&lt;num&gt;</type> (default: <varname>2</varname>)</term>
<listitem>
<para>Maximum number of concurrent connections to a given host.
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>connection.receive_timeout</option> <type>&lt;num&gt;</type> (default: <varname>120</varname>)</term>
<listitem>
<para>Receive timeout (in seconds).
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>connection.retries</option> <type>&lt;num&gt;</type> (default: <varname>3</varname>)</term>
<listitem>
<para>Number of tries to establish a connection.
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>connection.unrestartable_receive_timeout</option> <type>&lt;num&gt;</type> (default: <varname>600</varname>)</term>
<listitem>
<para>Timeout for non-restartable connections (in seconds).
</para>
</listitem></varlistentry></variablelist>
<sect2 id="connection.ssl"><title>SSL (<type>connection.ssl</type>)</title>
<para>
SSL options.
</para>
<variablelist><varlistentry>
<term><option>connection.ssl.cert_verify</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Verify the peer's SSL certificate. Note that this
probably doesn't work properly at all with GnuTLS.
</para>

</listitem></varlistentry></variablelist>
</sect2>
</sect1>
<sect1 id="cookies"><title>Cookies (<type>cookies</type>)</title>
<para>
Cookies options.
</para>
<variablelist><varlistentry>
<term><option>cookies.accept_policy</option> <type>&lt;num&gt;</type> (default: <varname>2</varname>)</term>
<listitem>
<para>Cookies accepting policy:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>is accept no cookies
</member>
<member>is ask for confirmation before accepting cookie (UNIMPLEMENTED)
</member>
<member>is accept all cookies
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>cookies.paranoid_security</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>When enabled, we'll require three dots in cookies domain for all
non-international domains (instead of just two dots). Please see
code (cookies.c:check_domain_security()) for explanation.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>cookies.resave</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Save cookies after each change in cookies list? No effect when
cookies_save is off.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>cookies.save</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Load/save cookies from/to disk?
</para>

</listitem></varlistentry></variablelist>
</sect1>
<sect1 id="document"><title>Documents (<type>document</type>)</title>
<para>
Document options.
</para>
<sect2 id="document.browse"><title>Browsing (<type>document.browse</type>)</title>
<para>
Document browsing options (mainly interactivity).
</para>
<variablelist><varlistentry>
<term><option>document.browse.margin_width</option> <type>&lt;num&gt;</type> (default: <varname>3</varname>)</term>
<listitem>
<para>Horizontal text margin.
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.scroll_margin</option> <type>&lt;num&gt;</type> (default: <varname>3</varname>)</term>
<listitem>
<para>Size of the virtual margin - when you click inside of that margin,
document scrolls in that direction.
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.table_move_order</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Move by columns in table, instead of rows.
</para>

</listitem></varlistentry></variablelist>
<sect3 id="document.browse.accesskey"><title>Accesskeys (<type>document.browse.accesskey</type>)</title>
<para>
Options for handling of the accesskey attribute of the active
HTML elements.
</para>
<variablelist><varlistentry>
<term><option>document.browse.accesskey.auto_follow</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Automatically follow a link or submit a form if appropriate
accesskey is pressed - this is the standard behaviour, but it's
considered dangerous.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.accesskey.priority</option> <type>&lt;num&gt;</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Priority of 'accesskey' HTML attribute:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>is first try all normal bindings; if it fails, check accesskey
</member>
<member>is first try only frame bindings; if it fails, check accesskey
</member>
<member>is first check accesskey (this can be dangerous)
</member>
</simplelist>
</listitem></varlistentry></variablelist>
</sect3>
<sect3 id="document.browse.forms"><title>Forms (<type>document.browse.forms</type>)</title>
<para>
Options for handling of the forms interaction.
</para>
<variablelist><varlistentry>
<term><option>document.browse.forms.auto_submit</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Automagically submit a form when enter is pressed with a text
field selected.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.forms.confirm_submit</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Ask for confirmation when submitting a form.
</para>

</listitem></varlistentry></variablelist>
</sect3>
<sect3 id="document.browse.images"><title>Images (<type>document.browse.images</type>)</title>
<para>
Options for handling of images.
</para>
<variablelist><varlistentry>
<term><option>document.browse.images.file_tags</option> <type>&lt;num&gt;</type> (default: <varname>-1</varname>)</term>
<listitem>
<para>Display [target filename] instead of [IMG] as visible image tags:
</para>
<simplelist columns="2">
<member>-1</member>
<member>0</member>
<member>1-500</member>
<member></member>
<member>means always display just [IMG]
</member>
<member>means always display full target filename
</member>
<member>means display target filename with this maximal length;
</member>
<member>if it is longer, the middle is substituted by an asterisk
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.images.show_as_links</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Display links to images.
</para>

</listitem></varlistentry></variablelist>
</sect3>
<sect3 id="document.browse.links"><title>Links (<type>document.browse.links</type>)</title>
<para>
Options for handling of links to other documents.
</para>
<variablelist><varlistentry>
<term><option>document.browse.links.color_dirs</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Highlight links to directories in FTP and local directory listing.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.links.number_keys_select_link</option> <type>&lt;num&gt;</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Number keys select links rather than specify command prefixes. This
is a tristate:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>never
</member>
<member>if document.browse.links.numbering = 1
</member>
<member>always
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.links.numbering</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Display numbers next to the links.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.browse.links.wraparound</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>When pressing 'down' on the last link, jump at the first one, and
vice versa.
</para>

</listitem></varlistentry></variablelist>
</sect3>
</sect2>
<sect2 id="document.cache"><title>Cache (<type>document.cache</type>)</title>
<para>
Cache options.
</para>
<variablelist><varlistentry>
<term><option>document.cache.ignore_cache_control</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Ignore Cache-Control and Pragma server headers.
When set, the document is cached even with 'Cache-Control: no-cache'.
</para>

</listitem></varlistentry></variablelist>
<sect3 id="document.cache.format"><title>Formatted documents (<type>document.cache.format</type>)</title>
<para>
Format cache options.
</para>
<variablelist><varlistentry>
<term><option>document.cache.format.size</option> <type>&lt;num&gt;</type> (default: <varname>5</varname>)</term>
<listitem>
<para>Number of cached formatted pages.
</para>
</listitem></varlistentry></variablelist>
</sect3>
<sect3 id="document.cache.memory"><title>Memory cache (<type>document.cache.memory</type>)</title>
<para>
Memory cache options.
</para>
<variablelist><varlistentry>
<term><option>document.cache.memory.size</option> <type>&lt;num&gt;</type> (default: <varname>1048576</varname>)</term>
<listitem>
<para>Memory cache size (in kilobytes).
</para>
</listitem></varlistentry></variablelist>
</sect3>
</sect2>
<sect2 id="document.codepage"><title>Charset (<type>document.codepage</type>)</title>
<para>
Charset options.
</para>
<variablelist><varlistentry>
<term><option>document.codepage.assume</option> <type>&lt;codepage&gt;</type> (default: <varname>ISO 8859-1</varname>)</term>
<listitem>
<para>Default document codepage.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.codepage.force_assumed</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Ignore charset info sent by server.
</para>

</listitem></varlistentry></variablelist>
</sect2>
<sect2 id="document.colors"><title>Default color settings (<type>document.colors</type>)</title>
<para>
Default document color settings.
</para>
<variablelist><varlistentry>
<term><option>document.colors.allow_dark_on_black</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Allow dark colors on black background.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.colors.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.colors.dirs</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffff00</varname>)</term>
<listitem>
<para>Default directory color.
See document.browse.links.color_dirs option.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.colors.link</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#0000ff</varname>)</term>
<listitem>
<para>Default link color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.colors.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#bfbfbf</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.colors.use_document_colors</option> <type>&lt;num&gt;</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Use colors specified in document:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member></member>
<member></member>
<member></member>
<member></member>
<member></member>
<member></member>
<member></member>
<member>is use always the default settings
</member>
<member>is use document colors if available, except background
</member>
<member>is use document colors, including background. This can
</member>
<member>look really impressive mostly, but few sites look really
</member>
<member>ugly there (unfortunately including slashdot (but try to
</member>
<member>let him serve you that 'plain' version and the world will
</member>
<member>suddenly become a much more happy place for life)). Note
</member>
<member>that obviously if the background isn't black, it will
</member>
<member>break transparency, if you have it enabled for your terminal
</member>
<member>and on your terminal.
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.colors.vlink</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffff00</varname>)</term>
<listitem>
<para>Default visited link color.
</para>

</listitem></varlistentry></variablelist>
</sect2>
<sect2 id="document.download"><title>Downloading (<type>document.download</type>)</title>
<para>
Options regarding files downloading and handling.
</para>
<variablelist><varlistentry>
<term><option>document.download.default_mime_type</option> <type>&lt;str&gt;</type> (default: <varname>"application/octet-stream"</varname>)</term>
<listitem>
<para>Document MIME-type to assume by default (when we are unable to
guess it properly from known information about the document).
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.download.directory</option> <type>&lt;str&gt;</type> (default: <varname>"./"</varname>)</term>
<listitem>
<para>Default download directory.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.download.notify_bell</option> <type>&lt;num&gt;</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Audio notification when download is completed:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>is never.
</member>
<member>is when background notification is active.
</member>
<member>is always
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.download.overwrite</option> <type>&lt;num&gt;</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Prevent overwriting the local files:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>is files will silently be overwritten.
</member>
<member>is add a suffix .{number} (for example '.1') to the name.
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.download.set_original_time</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Set the timestamp of each downloaded file to the timestamp
stored on the server.
</para>

</listitem></varlistentry></variablelist>
</sect2>
<sect2 id="document.dump"><title>Dump output (<type>document.dump</type>)</title>
<para>
Dump output options.
</para>
<variablelist><varlistentry>
<term><option>document.dump.codepage</option> <type>&lt;codepage&gt;</type> (default: <varname>7-bit ASCII</varname>)</term>
<listitem>
<para>Codepage used in dump output.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.dump.width</option> <type>&lt;num&gt;</type> (default: <varname>80</varname>)</term>
<listitem>
<para>Width of screen in characters when dumping a HTML document.
</para>
</listitem></varlistentry></variablelist>
</sect2>
<sect2 id="document.history"><title>History (<type>document.history</type>)</title>
<para>
History options.
</para>
<variablelist><varlistentry>
<term><option>document.history.keep_unhistory</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Keep unhistory ("forward history")?
</para>

</listitem></varlistentry></variablelist>
<sect3 id="document.history.global"><title>Global history (<type>document.history.global</type>)</title>
<para>
Global history options.
</para>
<variablelist><varlistentry>
<term><option>document.history.global.display_type</option> <type>&lt;num&gt;</type> (default: <varname>0</varname>)</term>
<listitem>
<para>What to display in global history dialog:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>is URLs
</member>
<member>is page titles
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.history.global.enable</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Enable global history ("history of all pages visited").
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.history.global.max_items</option> <type>&lt;num&gt;</type> (default: <varname>1024</varname>)</term>
<listitem>
<para>Maximum number of entries in the global history.
</para>
</listitem></varlistentry></variablelist>
</sect3>
</sect2>
<sect2 id="document.html"><title>HTML rendering (<type>document.html</type>)</title>
<para>
Options concerning the display of HTML pages.
</para>
<variablelist><varlistentry>
<term><option>document.html.display_frames</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Display frames.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.html.display_subs</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Display subscripts (as [thing]).
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.html.display_sups</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Display superscripts (as ^thing).
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>document.html.display_tables</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Display tables.
</para>

</listitem></varlistentry></variablelist>
</sect2>
</sect1>
<sect1 id="protocol"><title>Protocols (<type>protocol</type>)</title>
<para>
Protocol specific options.
</para>
<variablelist><varlistentry>
<term><option>protocol.no_proxy</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Comma separated list of domains for which the proxy (HTTP/FTP)
should be disabled. Optionally, a port can be specified for some
domains as well. If it's blank, NO_PROXY environment variable is
checked as well.
</para>

</listitem></varlistentry></variablelist>
<sect2 id="protocol.file"><title>Local files (<type>protocol.file</type>)</title>
<para>
Options specific to local browsing.
</para>
<variablelist><varlistentry>
<term><option>protocol.file.allow_special_files</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Allow reading from non-regular files? (DANGEROUS - reading
/dev/urandom or /dev/zero can ruin your day!)
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.file.try_encoding_extensions</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>When set, if we can't open a file named 'filename', we'll try
to open 'filename' + some encoding extensions (ie.
'filename.gz'); it depends on the supported encodings.
</para>

</listitem></varlistentry></variablelist>
</sect2>
<sect2 id="protocol.ftp"><title>FTP (<type>protocol.ftp</type>)</title>
<para>
FTP specific options.
</para>
<variablelist><varlistentry>
<term><option>protocol.ftp.anon_passwd</option> <type>&lt;str&gt;</type> (default: <varname>"some@host.domain"</varname>)</term>
<listitem>
<para>FTP anonymous password to be sent.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.ftp.use_epsv</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Use EPSV instead of EPRT (passive vs active mode, IPv6 only).
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.ftp.use_pasv</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Use PASV instead of PORT (passive vs active mode, IPv4 only).
</para>

</listitem></varlistentry></variablelist>
<sect3 id="protocol.ftp.proxy"><title>Proxy configuration (<type>protocol.ftp.proxy</type>)</title>
<para>
FTP proxy configuration.
</para>
<variablelist><varlistentry>
<term><option>protocol.ftp.proxy.host</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Host and port-number (host:port) of the FTP proxy, or blank.
If it's blank, FTP_PROXY environment variable is checked as well.
</para>

</listitem></varlistentry></variablelist>
</sect3>
</sect2>
<sect2 id="protocol.http"><title>HTTP (<type>protocol.http</type>)</title>
<para>
HTTP-specific options.
</para>
<variablelist><varlistentry>
<term><option>protocol.http.accept_language</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Send Accept-Language header.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.accept_ui_language</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Request localised versions of documents from web-servers (using the
Accept-Language header) using the language you have configured for
ELinks' user-interface. Note that some see this as a potential security
risk because it tells web-masters about your preference in language.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.user_agent</option> <type>&lt;str&gt;</type> (default: <varname>"ELinks (%v; %s; %t)"</varname>)</term>
<listitem>
<para>Change the User Agent ID. That means identification string, which
is sent to HTTP server when a document is requested.
%v in the string means ELinks version
%s in the string means system identification
%t in the string means size of the terminal
Use " " if you don't want any User-Agent header to be sent at all.
</para>

</listitem></varlistentry></variablelist>
<sect3 id="protocol.http.bugs"><title>Server bug workarounds (<type>protocol.http.bugs</type>)</title>
<para>
Server-side HTTP bugs workarounds.
</para>
<variablelist><varlistentry>
<term><option>protocol.http.bugs.allow_blacklist</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Allow blacklisting of buggy servers.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.bugs.broken_</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Broken 302 redirect (violates RFC but compatible with Netscape).
This is a problem for a lot of web discussion boards and the like.If they will do strange things to you, try to play with this.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.bugs.http</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Use HTTP/1.0 protocol instead of HTTP/1.1.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.bugs.post_no_keepalive</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Disable keepalive connection after POST request.
</para>

</listitem></varlistentry></variablelist>
</sect3>
<sect3 id="protocol.http.proxy"><title>Proxy configuration (<type>protocol.http.proxy</type>)</title>
<para>
HTTP proxy configuration.
</para>
<variablelist><varlistentry>
<term><option>protocol.http.proxy.host</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Host and port-number (host:port) of the HTTP proxy, or blank.
If it's blank, HTTP_PROXY environment variable is checked as well.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.proxy.passwd</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Proxy authentication password.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.proxy.user</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Proxy authentication username.
</para>

</listitem></varlistentry></variablelist>
</sect3>
<sect3 id="protocol.http.referer"><title>Referer sending (<type>protocol.http.referer</type>)</title>
<para>
HTTP referer sending options.
</para>
<variablelist><varlistentry>
<term><option>protocol.http.referer.fake</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Fake referer to be sent when policy is 2.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.http.referer.policy</option> <type>&lt;num&gt;</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Mode of sending HTTP referer:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>3</member>
<member>is send no referer
</member>
<member>is send current URL as referer
</member>
<member>is send fixed fake referer
</member>
<member>is send previous URL as referer (correct, but insecure)
</member>
</simplelist>
</listitem></varlistentry></variablelist>
</sect3>
</sect2>
<sect2 id="protocol.mailcap"><title>Mailcap (<type>protocol.mailcap</type>)</title>
<para>
Options for mailcap support.
</para>
<variablelist><varlistentry>
<term><option>protocol.mailcap.ask</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Ask before using the handlers defined by mailcap.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.mailcap.description</option> <type>&lt;num&gt;</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Type of description to show in "what shall I do with this file"
query dialog:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>is show "mailcap".
</member>
<member>is show program to be run.
</member>
<member>is show mailcap description field if any; "mailcap" otherwise.
</member>
</simplelist>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.mailcap.enable</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Enable mailcap support.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.mailcap.path</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Mailcap search path. Colon-separated list of files.
Leave as "" to use MAILCAP environment variable or
build-in defaults instead.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>protocol.mailcap.prioritize</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Prioritize entries by the order of the files in the mailcap
path. This means that wildcard entries (like: image/*) will
also be checked before deciding the handler.
</para>

</listitem></varlistentry></variablelist>
</sect2>
</sect1>
<sect1 id="ui"><title>User interface (<type>ui</type>)</title>
<para>
User interface options.
</para>
<variablelist><varlistentry>
<term><option>ui.language</option> <type>&lt;language&gt;</type> (default: <varname></varname>)</term>
<listitem>
<para>Language of user interface.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.show_status_bar</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Show status bar on the screen.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.show_title_bar</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Show title bar on the screen.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.startup_goto_dialog</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Pop up goto dialog on startup when there's no homepage set.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.window_title</option> <type>[0|1]</type> (default: <varname>1</varname>)</term>
<listitem>
<para>Whether ELinks window title should be touched when ELinks is
run in a windowing environment.
</para>

</listitem></varlistentry></variablelist>
<sect2 id="ui.colors"><title>Color settings (<type>ui.colors</type>)</title>
<para>
Default user interface color settings.
</para>
<sect3 id="ui.colors.color"><title>Color terminals (<type>ui.colors.color</type>)</title>
<para>
Color settings for color terminal.
</para>
<sect4 id="ui.colors.color.dialog"><title>Dialog (<type>ui.colors.color.dialog</type>)</title>
<para>
Dialog colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Dialog generic background color.
</para>

</listitem></varlistentry></variablelist>
<sect5 id="ui.colors.color.dialog.button"><title>Button (<type>ui.colors.color.dialog.button</type>)</title>
<para>
Dialog button colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.button.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#0000ff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.button.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.button-selected"><title>Selected button (<type>ui.colors.color.dialog.button-selected</type>)</title>
<para>
Dialog selected button colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.button-selected.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#008000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.button-selected.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffff00</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.checkbox"><title>Checkbox (<type>ui.colors.color.dialog.checkbox</type>)</title>
<para>
Dialog checkbox colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.checkbox.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.checkbox.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#8b0000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.checkbox-label"><title>Checkbox label (<type>ui.colors.color.dialog.checkbox-label</type>)</title>
<para>
Dialog checkbox label colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.checkbox-label.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.checkbox-label.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.field"><title>Text field (<type>ui.colors.color.dialog.field</type>)</title>
<para>
Dialog text field colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.field.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#0000ff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.field.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.field-text"><title>Text field text (<type>ui.colors.color.dialog.field-text</type>)</title>
<para>
Dialog field text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.field-text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#0000ff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.field-text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffff00</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.frame"><title>Frame (<type>ui.colors.color.dialog.frame</type>)</title>
<para>
Dialog frame colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.frame.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.frame.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.meter"><title>Meter (<type>ui.colors.color.dialog.meter</type>)</title>
<para>
Dialog meter colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.meter.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#0000ff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.meter.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.shadow"><title>Shadow (<type>ui.colors.color.dialog.shadow</type>)</title>
<para>
Dialog shadow colors (see ui.shadows option).
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.shadow.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.text"><title>Text (<type>ui.colors.color.dialog.text</type>)</title>
<para>
Dialog text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.dialog.title"><title>Title (<type>ui.colors.color.dialog.title</type>)</title>
<para>
Dialog title colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.title.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.dialog.title.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#8b0000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.color.mainmenu"><title>Main menu bar (<type>ui.colors.color.mainmenu</type>)</title>
<para>
Main menu bar colors.
</para>
<sect5 id="ui.colors.color.mainmenu.hotkey"><title>Hotkey (<type>ui.colors.color.mainmenu.hotkey</type>)</title>
<para>
Unselected main menu bar item hotkey colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.mainmenu.hotkey.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.mainmenu.hotkey.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#8b0000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.mainmenu.normal"><title>Unselected main menu bar item (<type>ui.colors.color.mainmenu.normal</type>)</title>
<para>
Unselected main menu bar item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.mainmenu.normal.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.mainmenu.normal.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.mainmenu.selected"><title>Selected main menu bar item (<type>ui.colors.color.mainmenu.selected</type>)</title>
<para>
Selected main menu bar item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.mainmenu.selected.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#008000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.mainmenu.selected.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.color.menu"><title>Menu bar (<type>ui.colors.color.menu</type>)</title>
<para>
Menu bar colors.
</para>
<sect5 id="ui.colors.color.menu.frame"><title>Menu frame (<type>ui.colors.color.menu.frame</type>)</title>
<para>
Menu frame colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.frame.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.frame.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.menu.hotkey"><title>Hotkey (<type>ui.colors.color.menu.hotkey</type>)</title>
<para>
Unselected menu item hotkey colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.hotkey.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.hotkey.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#8b0000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.menu.normal"><title>Unselected menu item (<type>ui.colors.color.menu.normal</type>)</title>
<para>
Unselected menu item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.normal.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.normal.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.menu.selected"><title>Selected menu item (<type>ui.colors.color.menu.selected</type>)</title>
<para>
Selected menu item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.selected.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#008000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.menu.selected.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.color.status"><title>Status bar (<type>ui.colors.color.status</type>)</title>
<para>
Status bar colors.
</para>
<sect5 id="ui.colors.color.status.status-bar"><title>Generic status bar (<type>ui.colors.color.status.status-bar</type>)</title>
<para>
Generic status bar colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.status.status-bar.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.status.status-bar.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.status.status-text"><title>Status bar text (<type>ui.colors.color.status.status-text</type>)</title>
<para>
Status bar text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.status.status-text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.status.status-text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.color.title"><title>Title bar (<type>ui.colors.color.title</type>)</title>
<para>
Title bar colors.
</para>
<sect5 id="ui.colors.color.title.title-bar"><title>Generic title bar (<type>ui.colors.color.title.title-bar</type>)</title>
<para>
Generic title bar colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.title.title-bar.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.title.title-bar.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.color.title.title-text"><title>Title bar text (<type>ui.colors.color.title.title-text</type>)</title>
<para>
Title bar text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.color.title.title-text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.color.title.title-text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
</sect3>
<sect3 id="ui.colors.mono"><title>Non-color terminals (<type>ui.colors.mono</type>)</title>
<para>
Color settings for non-color terminal.
</para>
<sect4 id="ui.colors.mono.dialog"><title>Dialog (<type>ui.colors.mono.dialog</type>)</title>
<para>
Dialog colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Dialog generic background color.
</para>

</listitem></varlistentry></variablelist>
<sect5 id="ui.colors.mono.dialog.button"><title>Button (<type>ui.colors.mono.dialog.button</type>)</title>
<para>
Dialog button colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.button.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.button.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.button-selected"><title>Selected button (<type>ui.colors.mono.dialog.button-selected</type>)</title>
<para>
Dialog selected button colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.button-selected.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.button-selected.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.checkbox"><title>Checkbox (<type>ui.colors.mono.dialog.checkbox</type>)</title>
<para>
Dialog checkbox colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.checkbox.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.checkbox.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.checkbox-label"><title>Checkbox label (<type>ui.colors.mono.dialog.checkbox-label</type>)</title>
<para>
Dialog checkbox label colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.checkbox-label.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.checkbox-label.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.field"><title>Text field (<type>ui.colors.mono.dialog.field</type>)</title>
<para>
Dialog field colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.field.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.field.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.field-text"><title>Text field text (<type>ui.colors.mono.dialog.field-text</type>)</title>
<para>
Dialog field text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.field-text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.field-text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.frame"><title>Frame (<type>ui.colors.mono.dialog.frame</type>)</title>
<para>
Dialog frame colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.frame.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.frame.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.meter"><title>Meter (<type>ui.colors.mono.dialog.meter</type>)</title>
<para>
Dialog meter colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.meter.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.meter.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.shadow"><title>Shadow (<type>ui.colors.mono.dialog.shadow</type>)</title>
<para>
Dialog shadow colors (see ui.shadows option).
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.shadow.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.text"><title>Text (<type>ui.colors.mono.dialog.text</type>)</title>
<para>
Dialog text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.dialog.title"><title>Title (<type>ui.colors.mono.dialog.title</type>)</title>
<para>
Dialog title colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.title.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.dialog.title.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.mono.mainmenu"><title>Main menu bar (<type>ui.colors.mono.mainmenu</type>)</title>
<para>
Main menu bar colors.
</para>
<sect5 id="ui.colors.mono.mainmenu.hotkey"><title>Hotkey (<type>ui.colors.mono.mainmenu.hotkey</type>)</title>
<para>
Unselected menu bar item hotkey colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.mainmenu.hotkey.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.mainmenu.hotkey.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.mainmenu.normal"><title>Unselected menu bar item (<type>ui.colors.mono.mainmenu.normal</type>)</title>
<para>
Unselected menu bar item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.mainmenu.normal.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.mainmenu.normal.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.mainmenu.selected"><title>Selected menu bar item (<type>ui.colors.mono.mainmenu.selected</type>)</title>
<para>
Selected menu bar item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.mainmenu.selected.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.mainmenu.selected.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.mono.menu"><title>Menu bar (<type>ui.colors.mono.menu</type>)</title>
<para>
Menu bar colors.
</para>
<sect5 id="ui.colors.mono.menu.frame"><title>Menu frame (<type>ui.colors.mono.menu.frame</type>)</title>
<para>
Menu frame colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.frame.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.frame.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.menu.hotkey"><title>Hotkey (<type>ui.colors.mono.menu.hotkey</type>)</title>
<para>
Unselected menu item hotkey colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.hotkey.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.hotkey.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.menu.normal"><title>Unselected menu item (<type>ui.colors.mono.menu.normal</type>)</title>
<para>
Unselected menu item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.normal.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.normal.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.menu.selected"><title>Selected menu item (<type>ui.colors.mono.menu.selected</type>)</title>
<para>
Selected menu item colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.selected.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.menu.selected.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.mono.status"><title>Status bar (<type>ui.colors.mono.status</type>)</title>
<para>
Status bar colors.
</para>
<sect5 id="ui.colors.mono.status.status-bar"><title>Generic status bar (<type>ui.colors.mono.status.status-bar</type>)</title>
<para>
Generic status bar colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.status.status-bar.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.status.status-bar.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.status.status-text"><title>Status bar text (<type>ui.colors.mono.status.status-text</type>)</title>
<para>
Status bar text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.status.status-text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#ffffff</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.status.status-text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
<sect4 id="ui.colors.mono.title"><title>Title bar (<type>ui.colors.mono.title</type>)</title>
<para>
Title bar colors.
</para>
<sect5 id="ui.colors.mono.title.title-bar"><title>Generic title bar (<type>ui.colors.mono.title.title-bar</type>)</title>
<para>
Generic title bar colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.title.title-bar.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.title.title-bar.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
<sect5 id="ui.colors.mono.title.title-text"><title>Title text (<type>ui.colors.mono.title.title-text</type>)</title>
<para>
Title bar text colors.
</para>
<variablelist><varlistentry>
<term><option>ui.colors.mono.title.title-text.background</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#000000</varname>)</term>
<listitem>
<para>Default background color.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.colors.mono.title.title-text.text</option> <type>&lt;color|#rrggbb&gt;</type> (default: <varname>#808080</varname>)</term>
<listitem>
<para>Default text color.
</para>

</listitem></varlistentry></variablelist>
</sect5>
</sect4>
</sect3>
</sect2>
<sect2 id="ui.dialogs"><title>Dialog settings (<type>ui.dialogs</type>)</title>
<para>
Dialogs-specific appearance and behaviour settings.
</para>
<variablelist><varlistentry>
<term><option>ui.dialogs.listbox_min_height</option> <type>&lt;num&gt;</type> (default: <varname>10</varname>)</term>
<listitem>
<para>Minimal height of the listbox widget (used e.g. for bookmarks
or global history).
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.dialogs.shadows</option> <type>[0|1]</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Make dialogs drop shadows (the shadows are solid, you can
adjust their color by ui.colors.*.dialog.shadow). You may
also want to eliminate the wide borders by adjusting setup.h.
</para>

</listitem></varlistentry></variablelist>
</sect2>
<sect2 id="ui.timer"><title>Timer options (<type>ui.timer</type>)</title>
<para>
Timed action after certain interval of user inactivity. Someone can
even find this useful, although you may not believe that.
</para>
<variablelist><varlistentry>
<term><option>ui.timer.action</option> <type>&lt;str&gt;</type> (default: <varname>""</varname>)</term>
<listitem>
<para>Key-binding action to be triggered when timer reaches zero.
</para>

</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.timer.duration</option> <type>&lt;num&gt;</type> (default: <varname>86400</varname>)</term>
<listitem>
<para>Inactivity timeout. One day should be enough for just everyone (TM).
</para>
</listitem></varlistentry></variablelist>
<variablelist><varlistentry>
<term><option>ui.timer.enable</option> <type>&lt;num&gt;</type> (default: <varname>0</varname>)</term>
<listitem>
<para>Whether to enable the timer or not:
</para>
<simplelist columns="2">
<member>0</member>
<member>1</member>
<member>2</member>
<member>is don't count down anything
</member>
<member>is count down, but don't show the timer
</member>
<member>is count down and show the timer near LEDs (note that this feature is DISABLED)
</member>
</simplelist>
</listitem></varlistentry></variablelist>
</sect2>
</sect1>
</appendix>
